Subject: Re: R: R: USB on lite5200 does not work.

From: Gianfranco Casanova <[email-masked]>
Date: Sat, 22 Nov 2008 13:15:27 +0100

Grant Likely ha scritto:
> On Fri, Nov 21, 2008 at 1:36 AM,  <[email-masked]> wrote:
>> The main HW difference between our board and lite5200 is:
>> console on PSC3 and
> [...]
>> on our HW defined as:
>>         /* Radionav configuration */
>>         port_config =  0x0C712E66;
>>
> 
> You've got quite a bit of difference than just console on PSC3.  USB
> is on the Ethernet pin group instead of on the USB pin group.  Does
> the kernel change the value of port_config when it boots, or does it
> leave the value setup by U-Boot intact?

As far as I sow from debugger no.

We are able to boot with a mini operating system (see previous post). 
Plugging USB the system get frozen.

We have got the same version of kernel compiled on PPC ARCH and USB, in 
this case, works.

Between PPC and PowerPC from debugger there is only one difference the 
label for USB interrupt, in PPC is 50 in PowerPC is 134.

I've already checked CDM register and GPIO register and all are the same.

 From USB register only one difference on HDDC values (not important 
from my point of view).

Our processor frequency is different from lite5200. We are thinking that 
scaling frequency processor to determine frequency of USB bus is 
different in PPC and PowerPC. Other street we are looking for is some WR 
  patchs from lite5200 on PowerPC that are not accepted from our HW.

>> I still do not understand our bug with USB.
>> Have you got some suggestions or some test to be performed in order to find
>> out a solutions?
> 
> Not over a quick exchange via email. 

Yes of course :)

> Your kernel is too old and USB
> debugging can be complex.  I'd need to be working with your hardware
> to figure out what is going on.

I see. We also wont debug USB.
Thaks J